## xdoclet.tagshandler
Class CommentTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.CommentTagsHandler

public class CommentTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.6 $
Author:
  Vincent Harcq (vincent.harcq@hubmethods.com)
xdoclet.taghandler
  namespace="Comment"
created
  Feb 12, 2002

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`CommentTagsHandler()`

Method Summary
`void` `comment(String template)` This tag simply output nothing.

Methods inherited from class xdoclet.XDocletTagSupport

`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentTagsHandler

    public CommentTagsHandler()

Method Detail

### comment

    public void comment(String template)

  This tag simply output nothing. It is used to include comments in template files

  Parameters:
    `template` -
  doc.tag
    type="block"

http://xdoclet.sourceforge.net/